function scanSpeed = hACQGetLaserScanSpeed(instrument)
%function response = hACQGetLaserScanSpeed(instrument)
%Gets the current laser scan speed.
%
%parameters:
%instrument - The tcp-ip object that is connected to the Hyperion Instrument.
%
%return value:
%scanSpeed - The current laser scan speed.
response = hCOMMExecuteCommand(instrument, '#GetLaserScanSpeed', '', 0, 10);

scanSpeed = typecast(response.content, 'uint32');