function response = hACQSetSpectrumStreamingDivider(instrument, divider)
%function response = hACQSetSpectrumStreamingDivider(instrument, divider)
%Sets the divider for spectrum streaming data.  This determines the rate at
%which streaming data is returned.  If divider is 1, all data will be
%returned.  If divider is N, every Nth spectrum will be returned.
%
%Parameters:
%instrument - The tcp-ip object that is connected to the Hyperion Instrument.
%divider - The divider value to be set.
%
%Return value:
%response - A response structure returned from the instrument (see
%hCOMMReadResponse

response = hCOMMExecuteCommand(instrument, '#SetFullSpectrumDataStreamingDivider', ...
                               int2str(divider), 0, 1);