function response = hCOMMExecuteCommand(instrument, command,...
                               argument, requestOptions, timeout)
%function [status, content, contentLength, responseType, message,...
%    messageLength, errorOut] = hCOMMExecuteCommand(connectionID, command,...
%                               argument, requestOptions, timeout)
%This Function executes a Hyperion command and reports the result and any data returned by the command.
%instrument - is a tcpip object
%
%Parameters:
%command - Hyperion command to execute
%argument - arguments to the command
%requestOptions - Option that controls how the command responds.  Possible
%values are:
    %0 - No options, content and message returned.
    %1 - Suppress output of the message
    %2 - Suppress output of the content
    %4 - Compress output (currently unsupported)
%timeout - specifies the maximum amount of time, in seconds, for the function to complete
%
%Return Value:
%response - Output structure with the following fields
    %Type - The type of the returned response
    %Message - human readable message  providing info on the status of the executed command
    %MessageLength -  byte length of the returned Message
    %Content - the content of the returned command
    %ContentLength - the length of the returned Contents
 

dataOut = hCOMMWriteCommand(instrument, command, argument, requestOptions);
response = hCOMMReadResponse(instrument, timeout);

